package turgen.config;

import java.util.Vector;


/** Class of configuration entries*/
public class ConfigClass {

    /**Identification*/
    private String id;

    /**Human readable name*/
    private String name;

    /**Configuration entries*/
    private Vector entries;

    /**Create new ConfigClass*/
    public ConfigClass(String id,String name) {
        this.id=id;
        this.name=name;

        entries=new Vector();
    }
    
    public Vector getEntries() {
        return entries;
    }
    
    public void addEntry(AbstractConfigEntry entry) {
        entries.add(entry);
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String toString() {
        return name;
    }

}
